Smart SDR V1.8.30 will not update radio permanently, every time I restart it needs update

  • 1
  • Problem
  • Updated 2 years ago
  • Not a Problem
The Smart SDR V1.8.30 download updates radio but every time I restart it needs update to radio again.  Radio shows firmware 1.7.30 every time I start Smart SDR.  I have gone back to using v1.7.30 desktop icon.  v1.8.30 for Flex 6500 will not update the radio permanently .  I have tried it 5 x.  There is a bug I guess in the software.  Other Flex 6000 radio owner has same problem.
Photo of Rob Laws

Rob Laws

  • 22 Posts
  • 0 Reply Likes

Posted 2 years ago

  • 1
Photo of Jim Gilliam

Jim Gilliam

  • 839 Posts
  • 172 Reply Likes
Sounds to me like you are not updating the version you think you are.
Photo of Stu Phillips - K6TU

Stu Phillips - K6TU, Elmer

  • 642 Posts
  • 256 Reply Likes
Strongly suspect there is a bug in the operator ;-)

Try removing 1.7.30 AND 1.8.30 from your system first, then reboot the computer.

Now reinstall 1.8.30 and upgrade the radio as required.

Stu K6TU
Photo of Rob Laws

Rob Laws

  • 22 Posts
  • 0 Reply Likes
That may do it. May open a support ticket. I know they are swamped with Maestro 1.8.3 update that was released that had bug. Fortunately I didn't do that update and freeze my Maestro. But Dudley did indicate to my friend that had the same issue as me, to just run 1.7.30 on Flex radio for now as they sort this out.
Photo of Jim Gilliam

Jim Gilliam

  • 839 Posts
  • 172 Reply Likes
Photo of George Molnar, KF2T

George Molnar, KF2T, Elmer

  • 1561 Posts
  • 552 Reply Likes
Remember that updating SSDR does not remove the old version or the Start Menu shortcut for it. If you click on the shortcut without first replacing it, you are loading the previous version and will start a "downgrade."
Photo of Rob Laws

Rob Laws

  • 22 Posts
  • 0 Reply Likes
Oh I always delete the old shortcut. This is not the problem. I am running the correct version shortcut. After updating the radio all shows correct version. After I shutdown and then later restart with the correct shortcut it still shows old version and that radio needs update. This happens each time.
Photo of Rob Laws

Rob Laws

  • 22 Posts
  • 0 Reply Likes
Problem solved.  It's Maestro.  Every time I update to new 1.8.3 Smart SDR on the 6500, when I turn on Maestro, the only way it will run is to run the V 1.7.30 update on Maestro which takes the 6500 backwards. UGH.  The 1.8.30 file to download on Maestro won't download as it has serious bugs in it.  So why won't Flex send all Maestro owners an email to tell them of this problem?
So now I have to run the 6500 on version 1.7.30 if I want to use Maestro.
Photo of Bill -VA3WTB

Bill -VA3WTB

  • 2769 Posts
  • 610 Reply Likes
Flex has made many statements about this issue to all customers.

https://community.flexradio.com/flexradio/topics/issue-with-maestro-v1-8-update
(Edited)
Photo of Rob Laws

Rob Laws

  • 22 Posts
  • 0 Reply Likes
Yeah, but what they didn't say is if you want to use your Maestro don't bother upgrading your Flex radio to 1.8.30. instead leave it at v1.7.30.  That would have saved me a lot of headache.
Photo of KK9W - Steve

KK9W - Steve

  • 632 Posts
  • 189 Reply Likes
They did say that
Photo of Rob Laws

Rob Laws

  • 22 Posts
  • 0 Reply Likes
What they said was not to download the Maestro 1.8.3 software for the Maestro.  They did not say to not download the 1.8.30 software for the Flex radio.   
Here read it
https://community.flexradio.com/flexradio/topics/issue-with-maestro-v1-8-update:
Photo of KY6LA - Howard

KY6LA - Howard, Elmer

  • 3541 Posts
  • 1396 Reply Likes

@Rob

You are not the first one to run into this issue.   It occurs with every update since the beginning of SSDR.  One issue is that SSDR does not automatically delete the older versions of software like most software does.. So people are constantly clicking on the wrong legacy icon and forcing downgrades and upgrades...


While It would appear to be rather obvious to any who has paid attention to this community for the past several years  that ALL devices  which includes the Radio, Maestro and Computer [SSDR] must be on the same software version to operate correctly. 

But I guess that Flex needs to add the following statement to the Manual and perhaps as a header to the community...

ALL devices  which includes the Radio, Maestro and Computer [SSDR] must be on the same software version to operate correctly

But Heck.. Hams never read the manual either or

for that matter most don't bother to search the forums either

So I guess some of us Elmer's will continue to answer the same "it will not update" question over and over and over again until someone actually reads a manual or learns how to use the search function or just plain deletes the earlier software versions when they upgrade...

This conversation is no longer open for comments or replies.